services:
  web:
    image: nginx:alpine
    volumes:
      - ./:/usr/share/nginx/html:ro
      - ./nginx.conf:/etc/nginx/conf.d/default.conf:ro
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.pc-angelo.rule=Host(`angelo.fodivps2.cloud`)"
      - "traefik.http.routers.pc-angelo.entrypoints=websecure"
      - "traefik.http.routers.pc-angelo.tls.certresolver=letsencrypt"
      - "traefik.http.services.pc-angelo.loadbalancer.server.port=80"
    networks:
      - traefik-public
    restart: unless-stopped

networks:
  traefik-public:
    external: true
